Subject: Re: git-p4import.py robustness changes

From: Simon Hausmann <[email-masked]>
Date: Thu, 14 Jun 2007 23:44:25 +0200

On Thursday 14 June 2007 07:35:38 Shawn O. Pearce wrote:
> Simon Hausmann <[email-masked]> wrote:
> > I've used git-filter-branch to rewrite the history in fast-export to
> > include only changes relevant to git-p4 and at the same time move all
> > files into contrib/fast-import. The result is available as separate
> > branch at
> >
> > 	git://repo.or.cz/fast-export.git git-p4
> >
> > and technically merges fine into git.git's contrib/fast-import directory
> > with three files (git-p4, git-p4.txt and git-p4.bat for windows
> > convenience).
> >
> > Please let me know if there's anything missing or if you prefer a
> > different format or so. I also realized that I haven't really used the
> > 'Signed-off-by' tags in the past but I'd be happy to adopt it for git
> > inclusion if you prefer that :)
>
> Yes.  The SBO line is your assertion that you own the rights to the
> code and can release it under the license you are offering it under.
> One of the issues I have with this git-p4 history you have built
> is the lack of the SBO line on all 255 commits.
>
> Of course an SBO line doesn't carry that much weight, its just a line
> after all, but according to Git's project standards it should be there
> if you are agreeing to release it.  See Documentation/SubmittingPatches
> for details.
>
> My other problem with this history is a commit like b79112 "a
> little bit more convenience" (and there are many such commits).
> This message is insanely short, doesn't really talk at all about
> what a little bit is, how it is more convenient, or who it is more
> convenient for.
>
> Think about how that oneline (and the others) would look in Junio's
> "What's new in git.git" emails, or in gitweb.  There is not enough
> detail here to be of any value to the reader.  Expanding out to the
> full message offers nothing additional either, because that is all
> there is in the entire commit message body.
>
> I do appreciate you taking the time to use filter-branch to try to
> cleanup this history a bit.  I really had originally planned on
> pulling your tree through to my fastimport tree and then talking
> Junio into merging with me.  But after reading through this history I
> don't want do that, because of the oneline summaries I just pointed
> out above, and because of the missing SBO.

First of all thanks for looking at the branch. I agree with your concerns and 
I do admit that I've been a bit too sloppy with the log messages.

I have started cleaning up the history even more by reworking the log messages 
of my commits (git-p4-enhanced-logs branch in fast-export, starting at the 
last page). Once that is done (I expect that to take a few days) I'll add the 
missing SOB lines with git-filter-branch and see if I can get an agreement 
from Han-Wen and Marius for doing the same with their commits (adding the 
missing lines).

Would you be willing to reevaluate the situation regarding a merge once that's 
done?

Simon